/***************************************
* STORED stp_ET_getByPeriodoPM
*
* Recupera records trattamento termico dato periodo trattamento + condizione PM (0=senza, 1= con, altro = tutte)
*
* Steamware, S.E.L.
* mod: 2010.04.17
*
****************************************/
CREATE PROCEDURE [dbo].[stp_ET_getByPeriodoPM]
(
    @DataStart		DATETIME,
    @DataEnd		DATETIME,
    @Trattamento    VARCHAR(50) = '*',
    @HasPM			INT = -1 -- (1) solo con PM > 0, (0) senza PM, altra --> TUTTO
)
AS

SET NOCOUNT ON;

IF (@HasPM = 0)
BEGIN
    SELECT	*
    FROM	ElencoTrattamenti 
    WHERE	DataTrattEnd BETWEEN @DataStart AND @DataEnd
        AND	ProveMecc = 0
        AND Trattamento = CASE WHEN @Trattamento = '*' THEN Trattamento ELSE @Trattamento END
END
ELSE IF (@HasPM = 1)
BEGIN
    SELECT	*
    FROM	ElencoTrattamenti 
    WHERE	DataTrattEnd BETWEEN @DataStart AND @DataEnd
        AND	ProveMecc <> 0
        AND Trattamento = CASE WHEN @Trattamento = '*' THEN Trattamento ELSE @Trattamento END
END
ELSE
BEGIN
    SELECT	*
    FROM	ElencoTrattamenti 
    WHERE	DataTrattEnd BETWEEN @DataStart AND @DataEnd
        AND Trattamento = CASE WHEN @Trattamento = '*' THEN Trattamento ELSE @Trattamento END
END

RETURN